- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKFillImage Struct Reference

`#include <IWORKTypes.h>`

## Public Member Functions
| IWORKFillImage ()

## Public Attributes
IWORKFillImageType | m_type
boost::optional< IWORKColor > | m_color
IWORKSize | m_size
RVNGInputStreamPtr_t | m_stream
std::string | m_mimeType

## Constructor & Destructor Documentation

libetonyek::IWORKFillImage::IWORKFillImage | ( |  | ) |

## Member Data Documentation

boost::optional<IWORKColor> libetonyek::IWORKFillImage::m_color

Referenced by libetonyek::IWAParser::readFill().

std::string libetonyek::IWORKFillImage::m_mimeType

IWORKSize libetonyek::IWORKFillImage::m_size

Referenced by libetonyek::IWAParser::readFill().

RVNGInputStreamPtr_t libetonyek::IWORKFillImage::m_stream

Referenced by libetonyek::IWAParser::readFill().

IWORKFillImageType libetonyek::IWORKFillImage::m_type

Referenced by libetonyek::IWAParser::readFill().

The documentation for this struct was generated from the following files:

- IWORKTypes.h
- IWORKTypes.cpp